Subject: Re: [PATCH] git-cvsimport: strip question-mark characters in tags

From: Johan Herland <[email-masked]>
Date: Thu, 15 Apr 2010 03:39:45 +0200

On Wednesday 14 April 2010, Ed Santiago wrote:
> On Wed, Apr 14, 2010 at 10:44:45PM +0200, Andreas Schwab wrote:
> > Ed Santiago <[email-masked]> writes:
> > > Question mark character appears to be valid in a CVS tag,
> > 
> > According to the CVS docs only letters, digits, '-' and '_' are valid
> > for tag names.
> 
> Poor choice of words on my part.  What I *should* have said is
> something like:
> 
>    Although question marks and curly braces are not among the
>    set of characters which CVS considers to be valid for a tag,
>    real-world situations have been encontered in which a CVS
>    comma-v file has a tag including all those characters.  This
>    patch makes git-cvsimport accept and forgive that reality.

Indeed. I have even seen CVS tag names containing carriage returns (aka. CR, 
\r) in the wild...

...Johan

> How that tag got created, I really don't know.  I can imagine
> three ways it could've happened (rcs commands; broken/old version
> of CVS; custom tool for mucking with comma-v files).  My goal
> was to recognize that this sort of thing happens, and to make
> it easier for the next person to find & fix this in the script.
> With that goal in mind, removing $! and adding the comment is
> the only important part of my patch.  The question mark itself
> is not likely to be useful except in very rare and weird cases.
> 
> Ed

-- 
Johan Herland, <[email-masked]>
www.herland.net